gr::lte::rough_symbol_sync_cc Class Reference

CP based rough sync to OFDM symbols. More...

`#include <rough_symbol_sync_cc.h>`

Inheritance diagram for gr::lte::rough_symbol_sync_cc:
[legend]

## Public Types

typedef boost::shared_ptr< rough_symbol_sync_cc > | sptr

## Static Public Member Functions

static sptr | make (int fftl, int vlen, std::string name="rough_symbol_sync_cc")
| Return a shared_ptr to a new instance of lte::rough_symbol_sync_cc.

## Detailed Description

CP based rough sync to OFDM symbols.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<rough_symbol_sync_cc> gr::lte::rough_symbol_sync_cc::sptr

## Member Function Documentation

## make()

static sptr gr::lte::rough_symbol_sync_cc::make | ( | int | fftl,
|  | int | vlen,
|  | std::string | name = "rough_symbol_sync_cc" )

static

Return a shared_ptr to a new instance of lte::rough_symbol_sync_cc.

To avoid accidental use of raw pointers, lte::rough_symbol_sync_cc's constructor is in a private implementation class. lte::rough_symbol_sync_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- rough_symbol_sync_cc.h